%global momorel 7

Summary: A game programming library
Name: allegro
Version: 4.2.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Libraries
Source0: http://dl.sourceforge.net/sourceforge/alleg/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: allegro-src-i386-icpus.s.patch
URL: http://www.talula.demon.co.uk/allegro/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: info
BuildRequires: esound-devel
BuildRequires: arts-artsc-devel
BuildRequires: pkgconfig
BuildRequires: libXext-devel
BuildRequires: libXpm-devel
BuildRequires: libXcursor-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libXxf86dga-devel
BuildRequires: libX11-devel

%description
Allegro is a game programming library for C/C++ developers distributed
freely, supporting the following platforms: DOS, Unix (Linux, FreeBSD,
Irix, Solaris, Darwin), Windows, QNX, BeOS and MacOS X. It provides
many functions for graphics, sounds, player input (keyboard, mouse and
joystick) and timers. It also provides fixed and floating point
mathematical functions, 3d functions, file management functions,
compressed datafile and a GUI.

%package devel
Summary: allegro-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
allegro-devel

%prep
%setup -q
%ifarch %{ix86}
%patch0 -p0
%endif #%%{ix86}

%build
%configure \
    --enable-static=yes \
    --enable-shared=yes
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} install-info
make DESTDIR=%{buildroot} install-man

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%post -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/allegro.info.* --dir-file=%{_infodir}/dir

%postun -p /sbin/ldconfig

%postun devel
/sbin/install-info --delete %{_infodir}/allegro.info.* --dir-file=%{_infodir}/dir

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS CHANGES THANKS
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/allegro
%dir %{_libdir}/allegro/%{version}
%{_libdir}/allegro/%{version}/*.so
%{_libdir}/allegro/%{version}/modules.lst
%{_libdir}/liballeg-4.2.2.so

%files devel
%defattr(-, root, root)
%{_includedir}/allegro.h
%{_includedir}/linalleg.h
%{_includedir}/xalleg.h
%{_includedir}/%{name}
%{_libdir}/liballeg.a
%{_libdir}/liballeg_unsharable.a
%{_datadir}/aclocal/allegro.m4
%{_mandir}/man3/*
%exclude %{_mandir}/man3/ASSERT.3.*
%{_infodir}/allegro.info*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.2-7m)
- rebuild against rpm-4.6

* Tue Oct 14 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.2.2-6m)
- fix %post and %postun

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-5m)
- rebuild against gcc43

* Fri Feb 15 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-4m)
- add Patch0: allegro-src-i386-icpus.s.patch for binutils

* Sat Sep  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.2-3m)
- fix %%files

* Sat Sep  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.2-2m)
- delete man3/ASSERT.3.*

* Sun Aug 19 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.2-1m)
- initial build
